do

local Game = import('/lua/game.lua')
local PureFactory = import(Game.CBFP_Path..'/lua/PureFactory.lua').PureFactory
local CBFP_oldXSS0303 = XSS0303

XSS0303 = Class(PureFactory(CBFP_oldXSS0303)) {
    # all the magic happens in the PureFactory file [131]
}

TypeClass = XSS0303

end